dagixp_filter_loader(1)

NAME
dagixp_filter_loader - Loads a ruleset into a DAG7.1S card.

SYNOPSIS
dagixp_filter_loader [options]

DESCRIPTION
dagixp_filter_loader is a command line application that accepts a ruleset file and loads the details into the DAG card.
It utilizes the DAG IXP Filtering software API library to configure the card.

OPTIONS

-d DEVICE

--device DEVICE
    DAG device to use

-h

-?

--help

--usage
    Display usage (help) information.

-v

--verbose
    Increase output verbosity.

-f <filename>

--rule_file <filename>
    File containing the ruleset to load. The use of a file containing the ruleset details is mandatory.
    The format of file is refered to Endace dagixp_filter_loader user manual in the File Format Specification section on page 9.

-y

--do_not_download
    Don't download the ruleset to the card, if not specified the ruleset is always downloaded to the card.
    This option is useful if you want to simply parse a configuration file and verify the syntax is correct.

-s

--statistics
    Print filtering statistics.

-i <seconds>

--interval <seconds>
    Interval to repeat statistics in seconds.

-u

--do_not_clear_stats
    Don't clear the previous statistics.

-x

--restart
    Restart the IXP processor on the card.

-m

--cpp_memtest
    Run CPP memory tests on the card, ignored if --restart is not also specified.

-n

--xsi_memtest
    Run XSI memory tests on the card, ignored if --restart is not also specified.

-V

--version
    Display version information.

EXAMPLES
To load a filter ruleset into the DAG card:
    dagixp_filter_loader -d0 -x -f ruleset.xml

To display filtering statistics:
    dagixp_filter_loader -d0 -s -i3

SEE ALSO
Endace IXP Filtering API.

Endace dagixp_filter_loader user manual.

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13733 $
$Date: 2011-01-14 17:13:13 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2009 Endace Technology, Hamilton, New Zealand. All Rights Reserved.